# $Revision: 1.61.4.2 $, $Date: 2006/05/14 22:04:58 $
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Assistive Technology Service Provider Interface
Summary(pl):	Interfejs pozwalajcy na korzystanie z urzdze wspomagajcych
Name:		at-spi
Version:	1.7.7
Release:	2
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/at-spi/1.7/%{name}-%{version}.tar.bz2
# Source0-md5:	2988cd21d9f292fd404a8c532fe2723d
URL:		http://developer.gnome.org/projects/gap/
BuildRequires:	ORBit2-devel
BuildRequires:	atk-devel >= 1:1.11.4
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gail-devel >= 1.8.5
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	gtk+2-devel >= 2:2.8.3
BuildRequires:	intltool >= 0.34.2-2
BuildRequires:	libbonobo-devel >= 2.8.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.1-10
BuildRequires:	xft-devel >= 2.1
Obsoletes:	libat-spi1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

%description -l pl
at-spi pozwala na korzystanie z urzdze wspomagajcych w celu dostpu
do aplikacji bazujcych na GTK. Przede wszystkim udostpnia wewntrzne
interfejsy aplikacji dla automatyzacji, wic urzdzenia takie jak
czytniki ekranu, lupy, czy nawet interfejsy skryptowe mog odpytywa i
wsppracowa z kontrolkami interfejsu graficznego.

%package devel
Summary:	at-spi development files
Summary(pl):	Pliki programistyczne at-spi
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ORBit2-devel
Requires:	atk-devel >= 1:1.9.0
Requires:	gail-devel >= 1.8.1
Requires:	gtk+2-devel >= 2:2.6.3
Requires:	gtk-doc-common
Requires:	libbonobo-devel >= 2.8.0
Obsoletes:	libat-spi1-devel

%description devel
at-spi development files.

%description devel -l pl
Pliki programistyczne at-spi.

%package static
Summary:	at-spi static library
Summary(pl):	Statyczna biblioteka at-spi
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
at-spi static library.

%description static -l pl
Statyczna biblioteka at-spi.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	%{!?with_static_libs:--disable-static} \
	--enable-gtk-doc \
	--enable-static \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

# no static modules
rm -f $RPM_BUILD_ROOT%{_libdir}/{gtk-2.0/modules,orbit-2.0}/*.{la,a}

%{find_lang} at-spi

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/at-spi-registryd
%attr(755,root,root) %{_libdir}/orbit-2.0/*.so
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/lib*.so
%{_libdir}/bonobo/servers/*
%{_datadir}/idl/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_gtkdocdir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: at-spi.spec,v $
Revision 1.61.4.2  2006/05/14 22:04:58  baggins
- release 2
- fixed BRs
- added missing locale files

Revision 1.61.4.1  2006/05/12 17:59:14  baggins
- up to 1.7.7

Revision 1.61  2005/09/06 11:24:43  paladine
- updated to 1.6.6

Revision 1.60  2005/08/31 09:49:36  paladine
- reverted sorting %%files in base package

Revision 1.59  2005/08/31 07:43:26  paladine
- updated to 1.6.5 (bugfixes)
- sorted %%files and %%configure options

Revision 1.58  2005/06/26 23:07:29  zbyniu
- removed BR: perl-base, popt-devel required somewhere else
- R: ORBit2-devel, gail-devel in -devel, rel 2, STBR

Revision 1.57  2005/06/16 14:29:25  witekfl
- added bcond_without static_libs

Revision 1.56  2005/06/08 15:17:48  zbyniu
- BR: intltool

Revision 1.55  2005/05/16 08:15:35  paladine
- updated to 1.6.4

Revision 1.54  2005/03/10 08:38:03  paladine
- updated to 1.6.3
- proper license

Revision 1.53  2004/12/09 17:49:42  paladine
- updated to 1.6.2 STBR

Revision 1.52  2004/12/07 15:43:18  grzegol
- updated to 1.6.1

Revision 1.51  2004/11/27 18:52:05  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.50  2004/11/05 10:40:37  paladine
- spaces->tabs
- cosmetics

Revision 1.49  2004/09/15 18:24:36  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.48  2004/09/13 17:48:17  grzegol
- merged from DEVEL and updated to 1.6.0

Revision 1.47  2004/08/17 12:50:37  ankry
- rel. 3

Revision 1.46  2004/08/01 14:26:31  krzak
- Requires: gtk+2-devel,libbonobo-devel to devel package
- Rel. 2

Revision 1.45.2.6  2004/09/12 21:11:40  grzegol
- updated to 1.5.5

Revision 1.45.2.5  2004/08/30 18:32:45  grzegol
- updated to 1.5.4

Revision 1.45.2.4  2004/08/21 15:34:36  aflinta
- added epoch to atk-devel

Revision 1.45.2.3  2004/07/20 22:28:36  grzegol
- updated to 1.5.3

Revision 1.45.2.2  2004/07/01 13:12:55  grzegol
- added Requires to -devel subpackage

Revision 1.45.2.1  2004/07/01 13:03:43  grzegol
- updated to 1.5.2

Revision 1.45  2004/04/19 17:20:32  grzegol
- updated to 1.4.2

Revision 1.44  2004/03/23 12:03:59  grzegol
- updated to 1.4.0

Revision 1.43  2004/03/15 16:41:11  adamg
- updated to 1.3.16

Revision 1.42  2004/03/08 23:58:38  grzegol
- updated to 1.3.15

Revision 1.41  2004/03/01 20:39:28  aflinta
- up to version 1.3.14

Revision 1.40  2004/02/24 22:30:08  grzegol
- updated to 1.3.13
- removed outdated am patch
- added BR: perl-base, strict internal deps
- added --enable-gtk-doc and --with-html-dir to configure

Revision 1.39  2004/02/10 14:35:45  grzegol
- updated to 1.3.12

Revision 1.38  2004/01/12 16:54:00  grzegol
- updated to 1.3.11

Revision 1.37  2003/12/08 10:02:57  trojan
- updated to 1.3.9

Revision 1.36  2003/11/10 23:22:20  qboosh
- BR: ac,am,lt

Revision 1.35  2003/10/31 14:05:29  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.34  2003/10/14 07:00:30  trojan
- updated to 1.3.8

Revision 1.33  2003/09/08 20:20:48  grzegol
- updated to 1.3.7

Revision 1.32  2003/08/18 08:07:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/08/08 13:13:26  grzegol
- updated to 1.3.6

Revision 1.30  2003/08/06 16:30:39  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.29  2003/06/30 18:01:33  aflinta
 - version 1.3.5

Revision 1.28  2003/06/17 06:25:02  aflinta
- version 1.3.4

Revision 1.27  2003/05/27 08:01:33  trojan
- added Source-md5

Revision 1.26  2003/05/25 05:45:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/05/19 19:38:14  aflinta
- version 1.3.2

Revision 1.24  2003/05/12 18:37:37  aflinta
- release 2

Revision 1.23  2003/05/12 13:22:07  qboosh
- removed static modules and *.la for gtk+ and orbit modules
- s/Xft-devel/xft-devel/ in BR

Revision 1.22  2003/05/06 05:20:36  aflinta
- version 1.3.1

Revision 1.21  2003/05/01 18:00:35  aflinta
- version 1.3.0

Revision 1.20  2003/03/28 08:22:31  aflinta
- removed self require during build

Revision 1.19  2003/03/27 11:50:02  aflinta
- updated to version 1.1.9

Revision 1.18  2003/01/13 07:23:51  trojan
- fixed %%files (no need 755 for *.la)

Revision 1.17  2002/12/18 19:33:47  aflinta
- updated to version 1.1.8

Revision 1.16  2002/12/16 19:54:29  aflinta
- updated to version 1.1.7

Revision 1.15  2002/12/06 21:13:13  aflinta
- updated to version 1.1.6

Revision 1.14  2002/12/05 10:36:24  aflinta
- moved from /usr/X11R6 to /usr, release 4

Revision 1.13  2002/11/28 23:48:30  wrobell
- massive attack: do not put bonobo servers into /usr/lib; remove
  _bonobo_server_dir definition (bonobo-activation configuration
  should be modified to look for servers in /usr and /usr/X11R6)

Revision 1.12  2002/11/28 16:07:07  wrobell
- typo

Revision 1.11  2002/11/28 15:55:34  aflinta
- corrected server file location

Revision 1.10  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.9  2002/11/22 23:08:36  aflinta
- updated to version 1.1.5

Revision 1.8  2002/10/15 20:57:17  aflinta
- updated to version 1.1.2

Revision 1.7  2002/08/31 21:40:00  qboosh
- pl description, release 2

Revision 1.6  2002/08/30 00:44:10  kloczek
- cosmetics.

Revision 1.5  2002/08/29 23:43:35  kloczek
- more work.

Revision 1.4  2002/08/29 22:15:12  aflinta
- updated to version 1.0.2

Revision 1.3  2002/07/02 12:44:32  ankry
- Requires gtk-doc-common for -devel subpackage
- release 2

Revision 1.2  2002/06/23 09:16:19  aflinta
- updated to version 1.0.1

Revision 1.1  2002/06/12 15:52:35  wiget
initial version
